/* file: idle.c
   Copyright (C) 97,98,1999 Nathan Benson, Gage Cartman

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  */


/* included file */

#include <stdio.h>
#include <time.h>

char	*ctime();


const	char *idleTime(time_t when)
{
	/* set up some variables */

	static	time_t	now = 0;
	static	char	idle[10];
	time_t	secondsIdle;

	if (now == 0)
		time(&now);

	/* get the differance between the two */

	secondsIdle = now - when;

	if (secondsIdle < 60)			/* one minute */
		return("  .  ");

	if (secondsIdle < (24 * 60 * 60))	/* one day */
	{
		sprintf (idle, "%02d:%02d",
		(int) (secondsIdle / (60 * 60)),
		(int) ((secondsIdle % (60 * 60)) / 60));

		return((const char *) idle);
	}

	return(" days ");
}

/* EOF */
