/* file: sleep.c
   Copyright (C) 98,1999 Gage Cartman

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  */


#include <stdio.h>

#include "../include/ku.h"

char	z;
int	pid;
int	value=0;


const	char *sleepTime(const char *s)
{
	/* set up some variables */

	const	char	*w = s;

	while ((z = *w++) >= '0' && z <= '9')
		value = value *10 + z- '0';

	/* get the differance between the four */

	switch (z)
	{
		case 's': break;			/* seconds */
		case 'm': value *= 60; break;		/* minutes */
		case 'h': value *= 60 *60; break;	/* hours   */
		case 'd': value *= 60 *60 *24; break;	/* days    */
		default: w--;
	}

	/* something other then `s, m, h, or d' was used */

	if (*w)
		printf("ku -- invalid time: \`%s\'\n",s);
	else
		if(pid=fork())
			exit(0);

	return value;
}
