/* file: terminate.c
   Copyright (C) 97,98,1999 Nathan Benson, Gage Cartman

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  */


/* included files */

#include <utmp.h>
#include <stdio.h>
#include <ctype.h>
#include <signal.h>
#include <string.h>
#include <unistd.h>
#include <sys/types.h>

#include "../include/ku.h"

/* variables */

char	ans[256+1];
char	*userHost;
char	*kernInfo;

int	count=0;
int	header=TRUE;


int	TermUser(struct utmp *u,
		struct CLopt opt,
		struct CLargs args,
		char dev[24])
{
	if (opt.opt_p)
	{
		if (!u->ut_host[0])
			userHost="localhost";
		else
			userHost=u->ut_host;

		while (TRUE)
		{
			printf("terminate: %s (%s:%s) ", u->ut_user, u->ut_line,userHost);
			fgets(ans,256,stdin);

			if (strncasecmp(ans,"y",1)==0)
			{
				/* prints kill message */
			        if (opt.opt_m)
        			        KillMessage(u,opt,args,dev);
 	
				/* does the killing */
				if (kill(u->ut_pid,SIGKILL)!=0)
				{
					kill(u->ut_pid,15);
					kill(u->ut_pid,SIGKILL);
				}

				PrintVerbose(u,opt,args,dev);
				return(0);
			}
			else if (strncmp(ans,"?",1)==0)
			{	
				PrintVerbose(u,opt,args,dev);
				continue;
			}
			else
				return(0);
		}
	}

        if (opt.opt_m)
                KillMessage(u,opt,args,dev);
 
	/* does the killing */
	if (kill(u->ut_pid,SIGKILL)!=0)
	{
		kill(u->ut_pid,15);
		kill(u->ut_pid,SIGKILL);
	}

	PrintVerbose(u,opt,args,dev);
	return(0);
}

/* EOF */
